Summary: Python bindings for GNU adns library
Name: adns-python
Version: 1.1.1
Release: %mkrel 2
Source0: %{name}-%{version}.tar.bz2
Patch0: adns-python-srv.patch
Patch1: adns-python-invalid_free.patch
License: GPL
Group: Development/Python
Requires: python >= %pyver
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: python-devel >= %{pyver} adns-devel
URL: http://dustman.net/andy/python/adns-python

%description
adns-python is a Python module that interfaces to the adns asynchronous
resolver library.

http://www.gnu.org/software/adns/

%prep
%setup -q
%patch0 -p1 -b .srv
%patch1 -p0 -b .free

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc GPL README
%{_libdir}/python%{pyver}/site-packages/*


%changelog
* Tue Mar 20 2007 Pascal Terjan <pterjan@mandriva.org> 1.1.1-2mdv2007.1
+ Revision: 146816
- Fix two invalid free

* Wed Dec 06 2006 Jérôme Soyer <saispo@mandriva.org> 1.1.1-1mdv2007.1
+ Revision: 91605
- Add Patch0 from fc
- Rebuild for latest python
- Import adns-python



* Tue Jun 27 2006 Lenny Cartier <lenny@mandriva.com> 1.0.0-6mdv2007.0
- rebuild

* Tue Aug 23 2005 Leonardo Chiquitto Filho <chiquitto@mandriva.com> 1.0.0-5mdk
- Require python >= %pyver instead of python = %pyver (fixes ticket 17152)

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 1.0.0-4mdk
- Rebuild for new python

* Fri Aug 13 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.0-3mdk
- fix BuildRequires

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.0.0-2mdk
- rebuild for new python
- drop Prefix tag
- don't generate and use file list in %%files
- quiet setup

* Thu Apr 23 2003 Pascal Terjan <CMoi@tuxfamily.org> 1.0.0-1mdk
- First Package
